FormTemplateQuestion
Add a question to a form template
POST
/
v1
/
form-templates
/
{id}
/
questions
Add a question to a form template
curl --request POST \
--url https://dev.flextell.ai/api/v1/form-templates/{id}/questions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"label": "<string>",
"required": true,
"order": 1,
"helper_text": "<string>",
"options": [
{
"label": "<string>",
"order": 1
}
],
"visibility_rules": [
{
"depends_on_question_id": 123,
"value": "<string>"
}
]
}
'import requests
url = "https://dev.flextell.ai/api/v1/form-templates/{id}/questions"
payload = {
"label": "<string>",
"required": True,
"order": 1,
"helper_text": "<string>",
"options": [
{
"label": "<string>",
"order": 1
}
],
"visibility_rules": [
{
"depends_on_question_id": 123,
"value": "<string>"
}
]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
label: '<string>',
required: true,
order: 1,
helper_text: '<string>',
options: [{label: '<string>', order: 1}],
visibility_rules: [{depends_on_question_id: 123, value: '<string>'}]
})
};
fetch('https://dev.flextell.ai/api/v1/form-templates/{id}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"id": 123,
"order": 123,
"label": "<string>",
"helper_text": "<string>",
"question_type": "<string>",
"required": true,
"options": [
{
"id": 123,
"label": "<string>",
"order": 123
}
],
"visibility_rules": [
{
"id": 123,
"depends_on_question_id": 123,
"operator": "<string>",
"value": "<string>",
"match_type": "<string>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": "<string>",
"data": {
"message": "<string>"
}
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Path Parameters
The form template identifier
Body
application/json
The label.
Maximum string length:
255The question type.
Available options:
text, textarea, select, radio, checkbox, number, date, boolean Whether the field is required.
The display order.
Required range:
x >= 0Helper text shown to the user.
The available options.
Show child attributes
Show child attributes
Visibility rule definitions.
Show child attributes
Show child attributes
⌘I
Add a question to a form template
